<?php
$callback   =   $_GET['CKEditorFuncNum'];
$path_parts = pathinfo($_FILES["upload"]["name"]);
$image_path = $path_parts['filename'].'_'.time().'.'.$path_parts['extension'];
move_uploaded_file($_FILES["upload"]["tmp_name"],$image_path);
$url    =   "http://www.dlinkmea.com/partner/uploader/".$image_path;
$msg    =   "";
$output = '<html><body><script type="text/javascript">window.parent.CKEDITOR.tools.callFunction('.$callback.', "'.$url.'","'.$msg.'");</script></body></html>';
echo $output;
?>